Skip to content

Record an inbound SMS delivered by the provider

POST
/v1/messages/inbound
curl --request POST \
--url https://api.vocapable.com/v1/messages/inbound \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "from_e164": "example", "to_e164": "example", "body": "example", "provider_sid": "example" }'
Media typeapplication/json
InboundMessageRequest

The normalized provider callback body (see the module docstring).

object
from_e164
required
From E164
string
/^\+[1-9]\d{1,14}$/
to_e164
required
To E164
string
/^\+[1-9]\d{1,14}$/
body
required
Body
string
provider_sid
Any of:
string
Examplegenerated
{
"from_e164": "example",
"to_e164": "example",
"body": "example",
"provider_sid": "example"
}

Successful Response

Media typeapplication/json
InboundMessageAck
object
message_id
required
Message Id
string
intent
required
InboundIntent

Classification of an inbound SMS; STOP writes an internal DNC entry.

string
Allowed values: stop help other
dnc_entry_id
required
Any of:
string
dnc_entry_created
required
Dnc Entry Created
boolean
Example
{
"intent": "stop"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}